Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class SecurityHandler.NotChecked

    java.lang.Object
      org.mortbay.jetty.security.SecurityHandler.NotChecked

All Implemented Interfaces:
  java.security.Principal

Enclosing class:
  SecurityHandler

    public class SecurityHandler.NotChecked

extends java.lang.Object
implements java.security.Principal

Constructor Summary
`SecurityHandler.NotChecked()`

Method Summary
`java.lang.String` | `getName()`
`SecurityHandler` | `getSecurityHandler()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Constructor Detail

### SecurityHandler.NotChecked

    public SecurityHandler.NotChecked()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

### getSecurityHandler

    public SecurityHandler getSecurityHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.